#!/bin/bash
#
# Create Server Certificates
# 
# 

# source this file to include the functions
. cfg/pki_funcs.sh

PARAM1=$1

usage() {
  echo
  echo "Generate a new server certificate"
  echo
  echo "  usage:   gen_server.sh  <# to generate>"
  echo
  echo "  example: gen_server.sh  2"
  echo
  exit 1
}

check_params() {
  if [[ -z $PARAM1 ]]; then
    usage
  fi
}

main() {
  # uses global variables: $PARAM1
  check_cai_pkg
  check_params
  gen_server $PARAM1
}

main
